import type { VxeGridProps } from '#/adapter/vxe-table';

import { type FormSchemaGetter } from '#/adapter/form';
import { renderDict } from '#/utils/render';
import { DictEnum } from '@vben/constants';
export const querySchema: FormSchemaGetter = () => [];

export const columns: VxeGridProps['columns'] = [
  { type: 'checkbox', width: 60, fixed: 'left' },
  {
    title: '备件名称',
    field: 'spareName',
    minWidth: 120
  },
  {
    title: '备件编号',
    field: 'spareCode',
    minWidth: 120
  },
  {
    title: '规格型号',
    field: 'modelNo',
    minWidth: 100
  },
  {
    title: '计量单位',
    field: 'unit',
    sortable: true,
    slots: {
      default: ({ row }) => {
        if (!row.unit || row.unit === '') {
          return '';
        }
        return renderDict(row.unit, DictEnum.EIMS_SPARE_UNIT);
      }
    },
    width: 100
  },
  {
    title: '之前库存',
    field: 'beforeStock',
    minWidth: 100
  },
  {
    title: '当前库存',
    field: 'actualStock',
    minWidth: 100
  },
  {
    title: '数量',
    field: 'quantity',
    minWidth: 80
  },
  {
    title: '单价',
    field: 'unitPrice',
    minWidth: 80
  },
  {
    title: '金额',
    field: 'amount',
    minWidth: 80
  }
];
export const drawerSchema: FormSchemaGetter = () => [];
